! ******************************************************************
! ******************************************************************

program main

	use globals
	use myproblem
	
	implicit none
	
	! LOCAL SCALARS	
	integer:: n,mA,mB,optprojA,optprojB,jcnnzmaxA,jcnnzmaxB,hnnzmaxA,&  
	          hnnzmaxB,erropt,allocerr,outiter,nprojA,nprojB,info
	real(kind=4) :: time          
	real(kind=8),allocatable :: w(:)
	
	! ARRAY ARGUMENTS
	real(kind=8),allocatable:: xA(:),xB(:),lA(:),uA(:),lB(:),uB(:)
	logical,allocatable :: equatnA(:),linearA(:),equatnB(:),linearB(:)
	
	! Choose a problem number or alternatively code your own problem in
	! myproblem routine
	
	problem = 2
	
	call inip(n,mA,xA,lA,uA,equatnA,linearA,optprojA,jcnnzmaxA,hnnzmaxA,&
			  mB,xB,lB,uB,equatnB,linearB,optprojB,jcnnzmaxB,hnnzmaxB,erropt)

	allocate(w(n),winner(n),yinner(n),stat=allocerr)
	if ( allocerr .ne. 0 ) then
	   write(*,*) 'Allocation error in main program'
	   stop
	end if

	call acondg(n,mA,xA,lA,uA,equatnA,linearA,optprojA,jcnnzmaxA,hnnzmaxA, &
				  mB,xB,lB,uB,equatnB,linearB,optprojB,jcnnzmaxB,hnnzmaxB, &
				  erropt,outiter,nprojA,nprojB,time,info)
	
end program main
